Mail archive
alpine-aports

[alpine-aports] [PATCH] fix a race condition in build process

From: Jean-Charles de Longueville <jch_at_alpine-dev.hellea.net>
Date: Mon, 16 Mar 2015 17:48:24 +0100

---
 testing/nx-libs/APKBUILD | 16 ++--------------
 1 file changed, 2 insertions(+), 14 deletions(-)
diff --git a/testing/nx-libs/APKBUILD b/testing/nx-libs/APKBUILD
index 5311f3f..4e9653e 100644
--- a/testing/nx-libs/APKBUILD
+++ b/testing/nx-libs/APKBUILD
_at_@ -26,30 +26,18 @@ prepare() {
 	done
 
 	#Every Makefile has /usr/local as PREFIX, so replace that
-	#other files too...
-        #find ./ -name Makefile | xargs sed -e 's#/usr/local#/usr#g' -i
-        #find ./ -name configure.in | xargs sed -e 's#/usr/local#/usr#g' -i
 	sed -i -e 's,/usr/local,/usr,' nx-X11/config/cf/site.def
 }
 
 build() {
 	cd "$_builddir"
-#	./configure \
-#		--build=$CBUILD \
-#		--host=$CHOST \
-#		--prefix=/usr \
-#		--sysconfdir=/etc \
-#		--mandir=/usr/share/man \
-#		--infodir=/usr/share/info \
-#		--localstatedir=/var \
-#		|| return 1
-	make PREFIX=/usr USRLIBDIR=/usr/lib SHLIBDIR=/usr/lib CONFIGURE="./configure --prefix=/usr --libdir=/usr/lib --includedir=/usr/include" || return 1
+	make -j4 PREFIX=/usr USRLIBDIR=/usr/lib SHLIBDIR=/usr/lib CONFIGURE="./configure --prefix=/usr --libdir=/usr/lib --includedir=/usr/include" || return 1
 }
 
 package() {
 	cd "$_builddir"
         #find ./ -name Makefile | xargs sed -e 's#/usr/local#/usr#g' -i
-	make PREFIX=/usr DESTDIR="$pkgdir" USRLIBDIR=/usr/lib SHLIBDIR=/usr/lib install CONFIGURE="./configure --prefix=/usr --libdir=/usr/lib --includedir=/usr/include" || return 1
+	make -j4 PREFIX=/usr DESTDIR="$pkgdir" USRLIBDIR=/usr/lib SHLIBDIR=/usr/lib install CONFIGURE="./configure --prefix=/usr --libdir=/usr/lib --includedir=/usr/include" || return 1
 	rm -f "$pkgdir"/usr/lib/*.la
 }
 
-- 
2.3.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Mar 16 2015 - 17:48:24 GMT